/* vue加载显示问题 */
[v-cloak]{
    display:none;
}
.box{
    width: 1200px;
    margin: auto;
}
.nav{
    margin-top: 15px;
}
.meeting-title{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 15px;
    font-size: 24px;
}
.meeting-img img{
    height: 160px;
    width: 284px;
}
.meeting-list-box{
    display: flex;
    flex-wrap: wrap;
}
.meeting-list{
    display: flex;
    margin-top: 40px;
    width: 595px;
}
.meeting-detail{
    margin-left: 12px;
    width: 305px;
}
.meeting-search{
    display: flex;
}
.meeting-detail p{
    white-space: nowrap; /* 防止文本换行 */
    overflow: hidden; /* 隐藏溢出的内容 */
    text-overflow: ellipsis; /* 显示省略号来表示溢出的内容 */
}
.meeting-detail p:nth-child(1){
    font-weight: 500;
    font-size: 20px;
    margin-bottom: 12px;
}
.meeting-detail p:nth-child(2),.meeting-detail p:nth-child(3){
    font-weight: 400;
    font-size: 16px;
    margin-bottom: 24px;
    color: #969696;
}
.meeting-detail p a{
    width: 160px;
    height: 30px;
    background: #3790FF;
    border-radius: 3px;
    display: inline-block;
    font-size: 16px;
    color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: space-around;
    line-height: 30px;
}
.meeting-detail .el-icon-video-play{
    margin-left: -10px;
}
.meeting-detail p a span{
    margin-left: -25px;
}
.meeting-page{
    text-align: right;
    margin-top: 60px;
}
.meeting-video{
    margin-top: 32px;
    display: flex;
}
.meeting-video-detail{
    margin-left: 30px;
    width: 440px;
}
.meeting-introduction{
    font-size: 24px;
    margin-bottom: 30px;
}
.meeting-teacher .teacher-introduction-title{
    font-size: 20px;
}
.meeting-teache-img {
    display: flex;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 10px;
}
.teacher-introduction{
    margin-left: 20px;
}
.teacher-introduction p:nth-child(1){
    font-size: 17px;
    color: #333333;
}
.teacher-introduction p:nth-child(2){
    font-size: 14px;
    color: #969696;
}
.meeting-teache-img img{
    width: 60px;
    border-radius: 50%;
}
.meeting-teacher{
    margin-bottom: 25px;
}
.meeting-info p:nth-child(1){
    font-size: 20px;
    font-weight: 500;
    color: #000000;
    margin-top: 20px;
    margin-bottom: 20px;
}
.meeting-info >p:nth-of-type(2){
    height: 106px;
    overflow-y: auto;
}
.teacher-profile{
    font-size: 14px;
    color: #717171;
    text-overflow: -o-ellipsis-lastline;
	/* overflow: hidden; */
	text-overflow: ellipsis;		
	display: -webkit-box;		
	/* -webkit-line-clamp: 2;		 */
	/* -webkit-box-orient: vertical; */
    max-height: 136px;
    overflow-y: auto;
}
.meeting-info p{
    font-size: 14px;
    color: #717171;
    margin-top: 5px;
}
.meeting-subject p:nth-child(1){
    font-size: 25px;
    margin-top: 24px;
    margin-bottom: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 650px;
}
.meeting-subject p:nth-child(2){
    font-size: 16px;
    color: #61666D;
}
.meeting-subject p:nth-child(2) span{
    padding-right: 15px;
}
.meeting-subject p:nth-child(2) img{
    width: 20px;
    position: relative;
    bottom: 1px;
    margin-right: 4px;
}
.meeting-recommend-title{
    font-weight: 500;
    font-size: 24px;
    margin-top: 65px;
    margin-bottom: 35px;
}
.recommend-video-box{
    display: flex;
    flex-wrap: wrap;
    cursor: pointer;
}
.recommend-video{
    width: 245px;
    margin-bottom: 20px;
    margin-right: 52px;
    position: relative;
}
.recommend-img{
    width: 100%;
    border-radius: 5px 5px 0 0;
    height: 163px;
}
.mask{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 163px;
    background: rgba(101, 101, 101, 0.6);
    opacity: 0;
    pointer-events: none; /*禁止鼠标事件*/
    text-align: center;
    line-height: 163px;
    border-radius: 5px 5px 0 0;
}
.mask img{
    width: 48px;
    height: 48px;
}
.recommend-video img:hover +.mask{
    opacity: 1;
}
.recommend-video .recommend-title{
    font-size: 16px;
    color: #333333;
    padding-top: 16px;
    padding-bottom: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.recommend-video .recommend-teacher{
    font-size: 14px;
    color: #969696;
}
.recommend-video p{
    padding-left: 10px;
}
.recommend-video .recommend-teacher span:nth-child(1){
    border-right: 1px solid;
    height: 16px;
    display: inline-block;
    line-height: 16px;
    width: 75px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.recommend-video .recommend-teacher span:nth-child(2){
    padding-left: 8px;
    width: 85px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
    line-height: 16px;
}
/* .meeting-video-demo{
    position: relative;
}
.meeting-video-demo img{
    position: absolute;
    top: 42%;
    left: 47%;
} */
.recommend-icon{
    width: 90px;
    height: 26px;
    background: #3790FF;
    border-radius: 2px;
    position: absolute;
    top: 4px;
    right: 5px;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}
.recommend-video .recommend-icon img{
    margin-right: 4px;
}